# module Byebug::Subcommands

Subcommand additions.

### Public Class Methods

included(command) click to toggle source

    # File lib/byebug/subcommands.rb, line 13
    def self.included(command)
      command.extend(ClassMethods)
    end

### Public Instance Methods

execute() click to toggle source

Delegates to subcommands or prints help if no subcommand specified.

    # File lib/byebug/subcommands.rb, line 23
    def execute
      subcmd_name = @match[1]
      return puts(help) unless subcmd_name

      subcmd = subcommand_list.match(subcmd_name)
      raise CommandNotFound.new(subcmd_name, self.class) unless subcmd

      subcmd.new(processor, arguments).execute
    end